<?php

class LinkOverrideHelper
{
    public static function getPageLink(
        $link,
        $controller,
        $ssl = null,
        $idLang = null,
        $request = null,
        $requestUrlEncode = false,
        $idShop = null,
        $relativeProtocol = false
    ) {
        return self::_applyPreviewParam($link);
    }

    public static function getProductLink(
        $link,
        $product,
        $alias = null,
        $category = null,
        $ean13 = null,
        $idLang = null,
        $idShop = null,
        $ipa = 0,
        $force_routes = false,
        $relativeProtocol = false,
        $addAnchor = false,
        $extraParams = array()
    ) {
        return self::_applyPreviewParam($link);
    }

    private static function _applyPreviewParam($link)
    {
        $theme_name = Tools::getValue('theme_name');
        if ($theme_name) {
            $additional_param = 'theme_name=' . urlencode($theme_name);
            if (strpos($link, $additional_param) === false) {
                $url_anchor_pair = explode('#', $link);
                $url_anchor_pair[0] .= (strpos($url_anchor_pair[0], '?') === false ? '?' : '&') . $additional_param;
                $link = implode('#', $url_anchor_pair);
            }
        }
        return $link;
    }
}