<?php
class Link extends LinkCore
{
    public function getPageLink(
        $controller,
        $ssl = null,
        $idLang = null,
        $request = null,
        $requestUrlEncode = false,
        $idShop = null,
        $relativeProtocol = false)
    {
        self::includeDefines();
        $link = parent::getPageLink(
            $controller,
            $ssl,
            $idLang,
            $request,
            $requestUrlEncode,
            $idShop,
            $relativeProtocol
        );
        if (class_exists('LinkOverrideHelper')) {
            $link = LinkOverrideHelper::getPageLink(
                $link,
                $controller,
                $ssl,
                $idLang,
                $request,
                $requestUrlEncode,
                $idShop,
                $relativeProtocol
            );
        }
        return $link;
    }

    public function getProductLink(
        $product,
        $alias = null,
        $category = null,
        $ean13 = null,
        $idLang = null,
        $idShop = null,
        $ipa = 0,
        $force_routes = false,
        $relativeProtocol = false,
        $addAnchor = false,
        $extraParams = array()
    ) {
        $link = parent::getProductLink(
            $product,
            $alias,
            $category,
            $ean13,
            $idLang,
            $idShop,
            $ipa,
            $force_routes,
            $relativeProtocol,
            $addAnchor,
            $extraParams
        );
        if (class_exists('LinkOverrideHelper')) {
            $link = LinkOverrideHelper::getProductLink(
                $link,
                $product,
                $alias,
                $category,
                $ean13,
                $idLang,
                $idShop,
                $ipa,
                $force_routes,
                $relativeProtocol,
                $addAnchor,
                $extraParams
            );
        }
        return $link;
    }

    private static function includeDefines()
    {
        $path = _PS_ROOT_DIR_.'/modules/themler/defines/defines.inc.php';
        if (file_exists($path)) {
            require_once $path;
        }
    }
}