<?php
use PrestaShop\PrestaShop\Adapter\ObjectPresenter;
class FrontController extends FrontControllerCore
{
    public function init()
    {
        self::includeDefines();
        parent::init();
        if (class_exists('FrontControllerOverrideHelper')) {
            FrontControllerOverrideHelper::init($this, $this->context);
        }
    }

    public function setTemplate($default_template, $params = array(), $locale = null)
    {
        self::includeDefines();
        $preview_template = str_replace(_PS_THEME_DIR_, getThemeDir(), $default_template);
        parent::setTemplate($preview_template);
    }

    private static function includeDefines()
    {
        $path = _PS_ROOT_DIR_.'/modules/themler/defines/defines.inc.php';
        if (file_exists($path)) {
            require_once $path;
        }
    }
}