{assign var=product_overview_context value=true scope='global'}

{block name='head_seo' prepend}
    <link rel="canonical" href="{$product.canonical_url}">
{/block}

{block name='head' append}
    <meta property="og:type" content="product">
    <meta property="og:url" content="{$urls.current_url}">
    <meta property="og:title" content="{$page.meta.title}">
    <meta property="og:site_name" content="{$shop.name}">
    <meta property="og:description" content="{$page.meta.description}">
    <meta property="og:image" content="{$product.cover.large.url}">
    <meta property="product:pretax_price:amount" content="{$product.price_tax_exc}">
    <meta property="product:pretax_price:currency" content="{$currency.iso_code}">
    <meta property="product:price:amount" content="{$product.price_amount}">
    <meta property="product:price:currency" content="{$currency.iso_code}">
    {if isset($product.weight) && ($product.weight != 0)}
        <meta property="product:weight:value" content="{$product.weight}">
        <meta property="product:weight:units" content="{$product.weight_unit}">
    {/if}
{/block}

{block name='page_content_container'}
{block name='content'}
    <div class=" bd-productoverview " itemscope itemtype="https://schema.org/Product">
        <meta itemprop="url" content="{$product.url}">
        <div class=" bd-layoutcontainer-10 bd-columns bd-no-margins">
    <div class="bd-container-inner">
        <div class="container-fluid">
            <div class="row ">
                <div class=" bd-columnwrapper-46 
 col-md-6
 col-sm-12
 col-xs-12">
    <div class="bd-layoutcolumn-46 bd-column" ><div class="bd-vertical-align-wrapper"><h2 class=" bd-productoverviewtitle-1 bd-no-margins">{block name='page_title'}{$product.name}{/block}</h2></div></div>
</div>
	
		<div class=" bd-columnwrapper-50 
 col-md-6
 col-sm-12
 col-xs-12">
    <div class="bd-layoutcolumn-50 bd-column" ><div class="bd-vertical-align-wrapper">{include file='./product_price_5.tpl'}
	
		{if isset($product.flags.discount)}
    <div class="bd-productreducedpriceicon-4  bd-productreducedprice-4">
        <span>{$product.flags.discount.label}</span>
    </div>
{/if}</div></div>
</div>
            </div>
        </div>
    </div>
</div>
	
		<div class=" bd-layoutcontainer-25 bd-columns bd-no-margins">
    <div class="bd-container-inner">
        <div class="container-fluid">
            <div class="row ">
                <div class=" bd-columnwrapper-48 
 col-md-6
 col-sm-12
 col-xs-12">
    <div class="bd-layoutcolumn-48 bd-column" ><div class="bd-vertical-align-wrapper">{include file='./product_overview_image_6.tpl'}
	
		{include file='./product_thumbnails_1.tpl'}</div></div>
</div>
	
		<div class=" bd-columnwrapper-49 
 col-md-6
 col-sm-12
 col-xs-12">
    <div class="bd-layoutcolumn-49 bd-column" ><div class="bd-vertical-align-wrapper"><!-- Product rating. There are no official modules currently. -->
	
		{assign var=text_max_len value="80"}
{assign var=text_max_len value="80"}
{block name='product_description_short'}
    <div class=" bd-productdesc-13" itemprop="description">
        {$product.description_short nofilter}
    </div>
{/block}
	
		{include file='./product_variations_1.tpl'}
	
		{include file='./product_add_to_cart_4.tpl'}</div></div>
</div>
            </div>
        </div>
    </div>
</div>
	
		{block name='product_reviews'}
<div class="bd-container-inner">
    <div class=" bd-productreviews-1">
        {hook h='displayProductListReviews' product=$product}
    </div>
</div>
{/block}
<div class=" bd-tabinformationcontrol-2 bd-no-margins tabbable" data-responsive="true">
    <div class="bd-container-inner">
        {include file='./tab_information_header_2.tpl'}
        {include file='./tab_information_content_2.tpl'}
        <div class=" bd-accordion accordion">
    <div class=" bd-menuitem-10 accordion-item"></div>
    <div class=" bd-container-47 bd-tagstyles accordion-content"></div>
</div>
    </div>
</div>

        {block name='product_accessories'}
            {if $accessories}
                {include file="../products-slider.tpl" slider_id="accessories_slider" products=$accessories link=$link title={l s='You might also like' d='Shop.Theme.Catalog'}}
            {/if}
        {/block}

        {block name='product_footer'}
          {hook h='displayFooterProduct' product=$product category=$category}
        {/block}

        {block name='product_images_modal'}
          {include file='catalog/_partials/product-images-modal.tpl'}
        {/block}

        {block name='page_footer_container'}
          <footer class="page-footer">
            {block name='page_footer'}
              <!-- Footer content -->
            {/block}
          </footer>
        {/block}


    </div>
{/block}
{/block}

{assign var=product_overview_context value=false scope='global'}