<div class=" bd-productvariations-1" data-ajax-refresh="bd-productvariations-1">
    {if $product.is_customizable && count($product.customizations.fields)}
        {block name='product_customization'}
            <div class="product-customization">
                {if !$configuration.is_catalog}
                    <div class="card card-block">
                        <h3 class="h4 card-title">{l s='Product customization' d='Shop.Theme.Catalog'}</h3>
                        {l s='Don\'t forget to save your customization to be able to add to cart' d='Shop.Forms.Help'}

                        {block name='product_customization_form'}
                            <form method="post" action="{$product.url}" enctype="multipart/form-data">
                                <ul class="clearfix">
                                    {foreach from=$product.customizations.fields item="field"}
                                        <li class="product-customization-item">
                                            <label> {$field.label}</label>
                                            {if $field.type == 'text'}
                                                <textarea placeholder="{l s='Your message here' d='Shop.Forms.Help'}" class=" bd-bootstrapinput form-control product-message" maxlength="250" {if $field.required} required {/if} name="{$field.input_name}"></textarea>
                                                <small class="float-xs-right">{l s='250 char. max' d='Shop.Forms.Help'}</small>
                                                {if $field.text !== ''}
                                                    <h6 class="customization-message">{l s='Your customization:' d='Shop.Theme.Catalog'}
                                                        <label>{$field.text}</label>
                                                    </h6>
                                                {/if}
                                            {elseif $field.type == 'image'}
                                                {if $field.is_customized}
                                                    <br>
                                                    <img src="{$field.image.small.url}">
                                                    <a class="remove-image" href="{$field.remove_image_url}" rel="nofollow">{l s='Remove Image' d='Shop.Theme.Actions'}</a>
                                                {/if}
                                                <span class="custom-file">
                                                    <input class="file-input js-file-input" {if $field.required} required {/if} type="file" name="{$field.input_name}">
                                                </span>
                                                <small class="float-xs-right">{l s='.png .jpg .gif' d='Shop.Forms.Help'}</small>
                                            {/if}
                                        </li>
                                    {/foreach}
                                </ul>
                                <div class="clearfix">
                                    <button type="submit" name="submitCustomizedData">{l s='Save Customization' d='Shop.Theme.Actions'}</button>
                                </div>
                            </form>
                        {/block}

                    </div>
                {/if}
            </div>
        {/block}
    {/if}

    <div class="product-actions">
        {block name='product_buy'}
            <form action="{$urls.pages.cart}" method="post" id="add-to-cart-or-refresh">
                <input type="hidden" name="token" value="{$static_token}">
                <input type="hidden" name="id_product" value="{$product.id}" id="product_page_product_id">
                <input type="hidden" name="id_customization" value="{$product.id_customization}" id="product_customization_id">

                <button data-button-action="add-to-cart" class="hidden"></button>

                {block name='product_variants'}
                    <div class="product-variants">
                        {foreach from=$groups key=id_attribute_group item=group}
                            <div class="clearfix product-variants-item">
                                <span class="control-label">{$group.name}</span>
                                {if $group.group_type == 'select'}
                                    <select
                                            class=" bd-bootstrapinput form-control"
                                            id="group_{$id_attribute_group}"
                                            data-product-attribute="{$id_attribute_group}"
                                            name="group[{$id_attribute_group}]">
                                        {foreach from=$group.attributes key=id_attribute item=group_attribute}
                                            <option value="{$id_attribute}"
                                                    title="{$group_attribute.name}"{if $group_attribute.selected} selected="selected"{/if}>{$group_attribute.name}</option>
                                        {/foreach}
                                    </select>
                                {elseif $group.group_type == 'color'}
                                    <ul id="group_{$id_attribute_group}" style="list-style-type:none;padding-left:0">
                                        {foreach from=$group.attributes key=id_attribute item=group_attribute}
                                            <li class="float-xs-left input-container">
                                                <input class="input-color" type="radio"
                                                       data-product-attribute="{$id_attribute_group}"
                                                       name="group[{$id_attribute_group}]"
                                                       value="{$id_attribute}"{if $group_attribute.selected} checked="checked"{/if}>
                                                <span
                                                        {if $group_attribute.html_color_code}class="color"
                                                        style="background-color: {$group_attribute.html_color_code}" {/if}
                                                        {if $group_attribute.texture}class="color texture" style="background-image: url({$group_attribute.texture})" {/if}
                                                ><span class="sr-only">{$group_attribute.name}</span></span>
                                            </li>
                                        {/foreach}
                                    </ul>
                                {elseif $group.group_type == 'radio'}
                                    <ul id="group_{$id_attribute_group}">
                                        {foreach from=$group.attributes key=id_attribute item=group_attribute}
                                            <li class="input-container float-xs-left">
                                                <input class="input-radio" type="radio"
                                                       data-product-attribute="{$id_attribute_group}"
                                                       name="group[{$id_attribute_group}]"
                                                       value="{$id_attribute}"{if $group_attribute.selected} checked="checked"{/if}>
                                                <span class="radio-label">{$group_attribute.name}</span>
                                            </li>
                                        {/foreach}
                                    </ul>
                                {/if}
                            </div>
                        {/foreach}
                    </div>
                {/block}

                {block name='product_pack'}
                    {if $packItems}
                        <section class="product-pack">
                            <h3 class="h4">{l s='This pack contains' d='Shop.Theme.Catalog'}</h3>
                            {foreach from=$packItems item="product_pack"}
                                {block name='product_miniature'}
                                    {include file='../templates/catalog/_partials/miniatures/pack-product.tpl' product=$product_pack}
                                {/block}
                            {/foreach}
                        </section>
                    {/if}
                {/block}

                {block name='product_discounts'}
                    {include file='../templates/catalog/_partials/product-discounts.tpl'}
                {/block}

                {block name='product_add_to_cart'}
                    {include file='./product_variations_quantity_1.tpl'}
                {/block}

                {block name='product_additional_info'}
                    <div class="product-additional-info">
                        {hook h='displayProductAdditionalInfo' product=$product}
                    </div>
                {/block}

                {block name='product_refresh'}
                    <input class="product-refresh ps-hidden-by-js" name="refresh" type="submit"
                           value="{l s='Refresh' d='Shop.Theme.Actions'}" style="display:none">
                {/block}
            </form>
        {/block}
    </div>

    {block name='hook_display_reassurance'}
        {hook h='displayReassurance'}
    {/block}
</div>